# Uses of Interface
java.lang.classfile.attribute.ModuleMainClassAttribute

Packages that use ModuleMainClassAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleMainClassAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type ModuleMainClassAttribute
Modifier and Type
Method
Description
`static AttributeMapper<ModuleMainClassAttribute>`
Attributes.`moduleMainClass()`
Returns the mapper for the `ModuleMainClass` attribute.

## Uses of ModuleMainClassAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type ModuleMainClassAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`ModuleMainClassAttribute`
Models the `ModuleMainClass` attribute (JVMS 4.7.27), which appears on classes that represent module descriptors to indicate the main class of the module.
Methods in java.lang.classfile.attribute that return ModuleMainClassAttribute
Modifier and Type
Method
Description
`static ModuleMainClassAttribute`
ModuleMainClassAttribute.`of(ClassEntry mainClass)`
Returns a `ModuleMainClass` attribute.
`static ModuleMainClassAttribute`
ModuleMainClassAttribute.`of(ClassDesc mainClass)`
Returns a `ModuleMainClass` attribute.